Skip to main content
POST
/
schedule
/
v1
/
holidays
/
{holidayCalendarId}
/
employees
Assign Holiday Calendar To Employee
curl --request POST \
  --url https://api-{region}.sesametime.com/schedule/v1/holidays/{holidayCalendarId}/employees \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employees": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "startDate": "2023-12-25"
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "countHolidayTemplates": 123
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

holidayCalendarId
string<uuid>
required

Holiday Calendar Id

Body

application/json

Assign Holiday Calendar To Employee

employees
string<uuid>[]
startDate
string<date>

Response

200 - application/json

Array of Objects

data
object[]
meta
object